import Vue from "vue";
import App from "@/App.vue";
import router from "@/router";
import { WebDavStore } from "@/stores/WebDavStore.js";
import i18n from "@/i18n";

import "@/handlers/CollapseHandler.js";

Vue.config.productionTip = false;
Vue.directive("focus", {
  // When the bound element is inserted into the DOM...
  inserted: function(el) {
    // Focus the element
    el.focus();
  }
});
new Vue({
  router,
  store: WebDavStore,
  i18n,
  render: h => h(App)
}).$mount("#app");
